AddAdminUser
Adds a new admin user into the specified parent or child account.
Example request: Add a new admin user.
Authentication
AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value:
```
Authorization: Bearer $VOXIMPLANT_TOKEN
```
See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.
Query parameters
new_admin_user_name
The admin user name. The length must be less than 50
admin_user_display_name
The admin user display name. The length must be less than 256
new_admin_user_password
The admin user password. The length must be at least 6 symbols
admin_user_active
Whether the admin user is active
admin_role_id
The role(s) ID created via Managing Admin Roles methods. The attaching admin role ID list separated by semicolons (;). Use the ‘all’ value to select all admin roles
admin_role_name
The role(s) name(s) created via Managing Admin Roles methods. The attaching admin role name that can be used instead of admin_role_id
Response
Successful response
result
Returns 1 if the request has been completed successfully
admin_user_id
The new admin user ID
admin_user_api_key
The admin user API key